cd /tmp

rm -f /etc/yum.repos.d/CentOS-*.repo &&
yum -y update && 
yum -y install \
	openssh-server openssh-clients java-1.8.0-openjdk java-1.8.0-openjdk-devel \
	gcc gcc-c++ gcc-gnat gcc-java make autoconf automake libtool vim-enhanced &&
useradd -m -s /bin/bash jenkins &&
sed -i 's@session\s*required\s*pam_loginuid.so@session optional pam_loginuid.so@g'  /etc/pam.d/sshd &&
RUN ssh-keygen -q -N "" -t dsa -f /etc/ssh/ssh_host_dsa_key &&
RUN ssh-keygen -q -N "" -t rsa -f /etc/ssh/ssh_host_rsa_key &&
mkdir -p /var/run/sshd
